### Function

# Gimp color_list_names

since: 2.2

#### Declaration [src]

    const gchar**
    gimp_color_list_names (
      GimpColorArray* colors
    )

#### Description [src]

Returns the list of SVG 1.0 color keywords that is recognized by `gimp_color_parse_name()`.

The returned strings are const and must not be freed. Only the array must be freed with `g_free()`.

The optional `colors` arrays must be freed with `gimp_color_array_free()` when they are no longer needed.

Available since: 2.2

#### Parameters

`colors`

  Type: An array of `GeglColor*`

  Return location for an array of `GeglColor`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: An array of `utf8`

An array of color names.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.